WIPEFS(8)

BEZEICHNUNG
wipefs - eine Signatur von einem Gerät löschen

ÜBERSICHT
wipefs [-ahnpqtV] [-o Versatz] Gerät …

BESCHREIBUNG
wipefs kann die Signaturen von Dateisystemen, RAID oder Partitionstabellen (Magic Strings) vom angegebenen Gerät löschen, um diese für libblkid unsichtbar zu machen. Das Dateisystem selbst wird durch wipefs nicht gelöscht, ebenso keine anderen auf dem Gerät gespeicherten Daten. Beim Aufruf ohne die Optionen -a oder -o werden alle sichtbaren Dateisysteme einschließlich der Versatzpunkte der Signaturen angezeigt. wipefs ruft das BLKRRPART-Ioctl beim Löschen einer Partitionstabelle auf, um den Kernel über die Änderung zu informieren. Beachten Sie, dass einige Dateisysteme oder Partitionstabellen mehrere »Magic Strings« auf den Geräten speichern. Der Befehl wipefs zeigt nur die erste Position eines entdeckten Magic Strings an. Das Gerät wird nicht nach weiteren im gleichen Dateisystem durchsucht. Es ist möglich, dass nach der Ausführung von wipefs -o Versatz das gesamte Dateisystem oder die Partitionstabelle durch einen anderen Magic String an anderer Position immer noch sichtbar ist. Mit der Option -a werden alle für libblkid sichtbaren Magic Strings gelöscht.

OPTIONEN

-a, --all
    löscht alle verfügbaren Signaturen. Die zu löschenden Signaturen können mit der Option -t eingegrenzt werden.

-b, --backup
    erstellt eine Sicherung der Signatur in der Datei $HOME/wipefs-<devname>-<offset>.bak. Weitere Details finden Sie im Abschnitt BEISPIELE.

-f, --force
    erzwingt das Löschen selbst dann, wenn das Dateisystem eingehängt ist. Dies ist notwendig, um die Partitionstabelle eines blockorientierten Gerätes löschen zu können.

-h, --help
    zeigt eine Hilfe an und beendet das Programm.

-n, --no-act
    sorgt dafür, dass alles erledigt wird, bis auf den endgültigen Aufruf von write().

-o, --offset Versatz
    gibt den Ort der Signatur (in Bytes) an, die vom Gerät gelöscht werden soll. Die Zahl für Versatz kann ein Präfix »0x« enthalten, so dass die Zahl als Hexadezimalwert interpretiert iwrd. Es ist möglich, die Option -o mehrmals anzugeben. Auf das Argument Versatz können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB und EiB folgen (das »iB« ist optional, wie in »K«, und ist gleichbedeutend mit »KiB«) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, PB und EB.

-p, --parsable
    veranlasst die Ausgabe in einem auswertbaren anstatt menschenlesbaren Format. Alle potenziell unsicheren Zeichen einer Zeichenkette werden in den korrespondierenden Hexadezimalwert umgewandelt, indem das Präfix »\x« vorangestellt wird.

-q, --quiet
    unterdrückt die Ausgabe vom Meldungen nach dem erfolgreichen Löschen der Signatur.

-t, --types Liste
    grenzt die ausgegebenen oder zu löschenden Signaturen ein. Es können in einer durch Kommata getrennten Liste mehrere Typen angegeben werden. Der Liste oder den angegebenen Typen kann ein »no« vorangestellt werden, um die Typen anzugeben, für die keine Aktion ausgeführt werden soll. Weitere Details finden Sie in mount(8).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

wipefs --all --backup /dev/sdb
    löscht alle Signaturen vom Gerät /dev/sdb und erstellt eine Sicherungsdatei ~/wipefs-sdb-<offset>.bak für jede Signatur.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    stellt die ext2-Signatur aus der Sicherungsdatei ~/wipefs-sdb-0x00000438.bak wieder her.

AUTOR
Karel Zak <kzak@redhat.com>

UMGEBUNGSVARIABLEN

Das Setzen von LIBBLKID_DEBUG=0xffff aktiviert die Debug-Ausgabe.

SIEHE AUCH
blkid(8), findfs(8)

VERFÜGBARKEIT
Der Befehl wipefs ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.